Bug 2052574 - activate default debuginfod url for centos
Summary: activate default debuginfod url for centos
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: elfutils
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On:
Blocks: 2053226
TreeView+ depends on / blocked
 
Reported: 2022-02-09 15:28 UTC by Frank Ch. Eigler
Modified: 2022-02-21 12:09 UTC (History)
14 users (show)

Fixed In Version: elfutils-0.186-2.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2053226 (view as bug list)
Environment:
Last Closed: 2022-02-21 12:08:59 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-111706 0 None None None 2022-02-09 15:40:10 UTC

Description Frank Ch. Eigler 2022-02-09 15:28:17 UTC
In the case of 0%{?centos} >= 8, the elfutils configure can activate
 
   --enable-debuginfod-urls=https://debuginfod.centos.org/

(I'm still just chewing through HOW to contribute this to centos-stream [8].)

Comment 1 Mark Wielaard 2022-02-10 15:21:28 UTC
Note that you also need a conditional around the following elfutils.spec hunk:

# We don't have standard DEBUGINFOD_URLS yet.
rm ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/debuginfod.sh
rm ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/debuginfod.csh

As long as it is conditionalized with 0%{?centos} >= 8 this should be fine for centos without it appearing in rhel.

But I do think we have to double check at least gdb works correct, there have been some usability nits (and patches that fix them) in the gdb fedora package that I am not sure are in the centos packages yet.

Comment 2 Frank Ch. Eigler 2022-02-10 16:54:15 UTC
A 0.186-2 update of elfutils with this configuration is now awaiting export to the git.centos.org build system.  (No RHEL8 build is being created, and thus this BZ should probably be closed as CLOSED/CURRENTRELEASE or something to avoid it being included in a RHEL errata by mistake.)


Note You need to log in before you can comment on or make changes to this bug.